SpideyDataAPI Reference
API navigation SEO API
SEO APIBacklinks

Get Linked Page Summaries with SEO API

POST/v1/seoapi/backlinks/pages-summary

One bounded complete request costs 20 Credits. Operator or admin role and Idempotency-Key are required. Keys are scoped to Team and capability. Replays are free; changed inputs return 409. Failed/partial delivery releases Credits. No automatic retries or paging. Read capabilities for availability. X-SEOAPI-Request-ID on execution errors identifies the saved Team request. See the SEO API guide for family parameters and normalized result fields.

On this page

Request example

Replace placeholders with your values. Use your Team API key for authenticated requests.

API base https://kieapi.com
curl -X POST "https://kieapi.com/v1/seoapi/backlinks/pages-summary" \
  -H "Authorization: Bearer $SPIDER_API_KEY" \
  -H 'Idempotency-Key: docs-example-01' \
  -H "Content-Type: application/json" \
  -d '{
  "target": "example.com",
  "limit": 10
}'

Authentication

BearerAuth

Parameters

Idempotency-Key header · string or null required

Request body required

application/json

SeoApiBacklinksGroupedInput

target string required
include_subdomains boolean

Default: true

exclude_internal_backlinks boolean

Default: true

backlinks_status string

Allowed: "live", "lost", "all"

Default: "live"

rank_scale string

Allowed: "one_hundred", "one_thousand"

Default: "one_thousand"

include_indirect_links boolean

Default: true

internal_list_limit integer

Default: 10

limit integer

Default: 100

offset integer

Default: 0

{
  "target": "example.com",
  "limit": 10
}

Responses

200 Successful Response

application/json

SeoApiResponse

request_id string required
capability string required
status string required

Allowed: "success", "partial"

query object required
data SeoApiData required
source SeoApiSource required
coverage SeoApiCoverage required
billing SeoApiBilling required
400 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
401 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
402 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
403 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
404 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
409 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
429 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
502 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required
503 Safe SEO API error; retain the request key after dispatch.

application/json

PublicErrorResponse

error PublicError required

Schemas

Field definitions and complete validation rules for this API. Follow a type link to its definition.

SeoApiBacklinksGroupedInput

object

target string required
include_subdomains boolean

Default: true

exclude_internal_backlinks boolean

Default: true

backlinks_status string

Allowed: "live", "lost", "all"

Default: "live"

rank_scale string

Allowed: "one_hundred", "one_thousand"

Default: "one_thousand"

include_indirect_links boolean

Default: true

internal_list_limit integer

Default: 10

limit integer

Default: 100

offset integer

Default: 0

Complete schema
{
  "properties": {
    "target": {
      "type": "string",
      "maxLength": 2048,
      "minLength": 1,
      "title": "Target"
    },
    "include_subdomains": {
      "type": "boolean",
      "title": "Include Subdomains",
      "default": true
    },
    "exclude_internal_backlinks": {
      "type": "boolean",
      "title": "Exclude Internal Backlinks",
      "default": true
    },
    "backlinks_status": {
      "type": "string",
      "enum": [
        "live",
        "lost",
        "all"
      ],
      "title": "Backlinks Status",
      "default": "live"
    },
    "rank_scale": {
      "type": "string",
      "enum": [
        "one_hundred",
        "one_thousand"
      ],
      "title": "Rank Scale",
      "default": "one_thousand"
    },
    "include_indirect_links": {
      "type": "boolean",
      "title": "Include Indirect Links",
      "default": true
    },
    "internal_list_limit": {
      "type": "integer",
      "maximum": 1000,
      "minimum": 1,
      "title": "Internal List Limit",
      "default": 10
    },
    "limit": {
      "type": "integer",
      "maximum": 1000,
      "minimum": 1,
      "title": "Limit",
      "default": 100
    },
    "offset": {
      "type": "integer",
      "maximum": 20000,
      "minimum": 0,
      "title": "Offset",
      "default": 0
    }
  },
  "additionalProperties": false,
  "type": "object",
  "required": [
    "target"
  ],
  "title": "SeoApiBacklinksGroupedInput"
}

SeoApiResponse

object

request_id string required
capability string required
status string required

Allowed: "success", "partial"

query object required
data SeoApiData required
source SeoApiSource required
coverage SeoApiCoverage required
billing SeoApiBilling required
Complete schema
{
  "properties": {
    "request_id": {
      "type": "string",
      "title": "Request Id"
    },
    "capability": {
      "type": "string",
      "title": "Capability"
    },
    "status": {
      "type": "string",
      "enum": [
        "success",
        "partial"
      ],
      "title": "Status"
    },
    "query": {
      "additionalProperties": true,
      "type": "object",
      "title": "Query"
    },
    "data": {
      "$ref": "#/components/schemas/SeoApiData"
    },
    "source": {
      "$ref": "#/components/schemas/SeoApiSource"
    },
    "coverage": {
      "$ref": "#/components/schemas/SeoApiCoverage"
    },
    "billing": {
      "$ref": "#/components/schemas/SeoApiBilling"
    }
  },
  "type": "object",
  "required": [
    "request_id",
    "capability",
    "status",
    "query",
    "data",
    "source",
    "coverage",
    "billing"
  ],
  "title": "SeoApiResponse"
}

SeoApiData

object

backlinks_summary SeoApiBacklinkSummary or null
backlinks array of SeoApiBacklink or null
referring_domains array of SeoApiReferringDomain or null
pages_summary array of SeoApiBacklinkPage or null
backlinks_history array of SeoApiBacklinkHistory or null
mentions array of SeoApiMention or null
mention_metrics SeoApiMentionMetrics or null
mention_pages array of SeoApiMentionPage or null
mention_comparisons array of SeoApiMentionComparison or null
llm_response SeoApiLlmResponse or null
keywords array of SeoApiKeyword or null
competitors array of SeoApiCompetitor or null
serp array of SeoApiSerpItem or null
result_count_estimate integer or null
check_url string or null
returned_keyword string or null
corrected_keyword string or null
Complete schema
{
  "properties": {
    "backlinks_summary": {
      "anyOf": [
        {
          "$ref": "#/components/schemas/SeoApiBacklinkSummary"
        },
        {
          "type": "null"
        }
      ]
    },
    "backlinks": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiBacklink"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks"
    },
    "referring_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiReferringDomain"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Domains"
    },
    "pages_summary": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiBacklinkPage"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Pages Summary"
    },
    "backlinks_history": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiBacklinkHistory"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks History"
    },
    "mentions": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMention"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Mentions"
    },
    "mention_metrics": {
      "anyOf": [
        {
          "$ref": "#/components/schemas/SeoApiMentionMetrics"
        },
        {
          "type": "null"
        }
      ]
    },
    "mention_pages": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionPage"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Mention Pages"
    },
    "mention_comparisons": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionComparison"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Mention Comparisons"
    },
    "llm_response": {
      "anyOf": [
        {
          "$ref": "#/components/schemas/SeoApiLlmResponse"
        },
        {
          "type": "null"
        }
      ]
    },
    "keywords": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiKeyword"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Keywords"
    },
    "competitors": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiCompetitor"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Competitors"
    },
    "serp": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiSerpItem"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Serp"
    },
    "result_count_estimate": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Result Count Estimate"
    },
    "check_url": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Check Url"
    },
    "returned_keyword": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Returned Keyword"
    },
    "corrected_keyword": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Corrected Keyword"
    }
  },
  "type": "object",
  "title": "SeoApiData"
}

SeoApiBacklinkSummary

object

rank integer or null
backlinks integer or null required
backlinks_spam_score number or null
referring_domains integer or null
referring_main_domains integer or null
referring_pages integer or null
referring_pages_nofollow integer or null
referring_ips integer or null
referring_subnets integer or null
broken_backlinks integer or null
broken_pages integer or null
first_seen string or null
lost_date string or null
referring_links_tld object or null
referring_links_types object or null
referring_links_attributes object or null
referring_links_countries object or null
target string required
crawled_pages integer or null
internal_links_count integer or null
external_links_count integer or null
Complete schema
{
  "properties": {
    "rank": {
      "anyOf": [
        {
          "type": "integer",
          "maximum": 1000,
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Rank"
    },
    "backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks"
    },
    "backlinks_spam_score": {
      "anyOf": [
        {
          "type": "number",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks Spam Score"
    },
    "referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Domains"
    },
    "referring_main_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Main Domains"
    },
    "referring_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages"
    },
    "referring_pages_nofollow": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages Nofollow"
    },
    "referring_ips": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Ips"
    },
    "referring_subnets": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Subnets"
    },
    "broken_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Backlinks"
    },
    "broken_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Pages"
    },
    "first_seen": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "First Seen"
    },
    "lost_date": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Date"
    },
    "referring_links_tld": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Tld"
    },
    "referring_links_types": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Types"
    },
    "referring_links_attributes": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Attributes"
    },
    "referring_links_countries": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Countries"
    },
    "target": {
      "type": "string",
      "title": "Target"
    },
    "crawled_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Crawled Pages"
    },
    "internal_links_count": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Internal Links Count"
    },
    "external_links_count": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "External Links Count"
    }
  },
  "type": "object",
  "required": [
    "backlinks",
    "target"
  ],
  "title": "SeoApiBacklinkSummary"
}

SeoApiReferringDomain

object

rank integer or null
backlinks integer or null required
backlinks_spam_score number or null
referring_domains integer or null
referring_main_domains integer or null
referring_pages integer or null
referring_pages_nofollow integer or null
referring_ips integer or null
referring_subnets integer or null
broken_backlinks integer or null
broken_pages integer or null
first_seen string or null
lost_date string or null
referring_links_tld object or null
referring_links_types object or null
referring_links_attributes object or null
referring_links_countries object or null
domain string required
Complete schema
{
  "properties": {
    "rank": {
      "anyOf": [
        {
          "type": "integer",
          "maximum": 1000,
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Rank"
    },
    "backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks"
    },
    "backlinks_spam_score": {
      "anyOf": [
        {
          "type": "number",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks Spam Score"
    },
    "referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Domains"
    },
    "referring_main_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Main Domains"
    },
    "referring_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages"
    },
    "referring_pages_nofollow": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages Nofollow"
    },
    "referring_ips": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Ips"
    },
    "referring_subnets": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Subnets"
    },
    "broken_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Backlinks"
    },
    "broken_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Pages"
    },
    "first_seen": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "First Seen"
    },
    "lost_date": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Date"
    },
    "referring_links_tld": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Tld"
    },
    "referring_links_types": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Types"
    },
    "referring_links_attributes": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Attributes"
    },
    "referring_links_countries": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Countries"
    },
    "domain": {
      "type": "string",
      "title": "Domain"
    }
  },
  "type": "object",
  "required": [
    "backlinks",
    "domain"
  ],
  "title": "SeoApiReferringDomain"
}

SeoApiBacklinkPage

object

rank integer or null
backlinks integer or null required
backlinks_spam_score number or null
referring_domains integer or null
referring_main_domains integer or null
referring_pages integer or null
referring_pages_nofollow integer or null
referring_ips integer or null
referring_subnets integer or null
broken_backlinks integer or null
broken_pages integer or null
first_seen string or null
lost_date string or null
referring_links_tld object or null
referring_links_types object or null
referring_links_attributes object or null
referring_links_countries object or null
url string required
Complete schema
{
  "properties": {
    "rank": {
      "anyOf": [
        {
          "type": "integer",
          "maximum": 1000,
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Rank"
    },
    "backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks"
    },
    "backlinks_spam_score": {
      "anyOf": [
        {
          "type": "number",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks Spam Score"
    },
    "referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Domains"
    },
    "referring_main_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Main Domains"
    },
    "referring_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages"
    },
    "referring_pages_nofollow": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages Nofollow"
    },
    "referring_ips": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Ips"
    },
    "referring_subnets": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Subnets"
    },
    "broken_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Backlinks"
    },
    "broken_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Pages"
    },
    "first_seen": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "First Seen"
    },
    "lost_date": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Date"
    },
    "referring_links_tld": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Tld"
    },
    "referring_links_types": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Types"
    },
    "referring_links_attributes": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Attributes"
    },
    "referring_links_countries": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Countries"
    },
    "url": {
      "type": "string",
      "title": "Url"
    }
  },
  "type": "object",
  "required": [
    "backlinks",
    "url"
  ],
  "title": "SeoApiBacklinkPage"
}

SeoApiBacklinkHistory

object

rank integer or null
backlinks integer or null required
backlinks_spam_score number or null
referring_domains integer or null
referring_main_domains integer or null
referring_pages integer or null
referring_pages_nofollow integer or null
referring_ips integer or null
referring_subnets integer or null
broken_backlinks integer or null
broken_pages integer or null
first_seen string or null
lost_date string or null
referring_links_tld object or null
referring_links_types object or null
referring_links_attributes object or null
referring_links_countries object or null
date string required
new_backlinks integer or null
lost_backlinks integer or null
new_referring_domains integer or null
lost_referring_domains integer or null
crawled_pages integer or null
Complete schema
{
  "properties": {
    "rank": {
      "anyOf": [
        {
          "type": "integer",
          "maximum": 1000,
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Rank"
    },
    "backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks"
    },
    "backlinks_spam_score": {
      "anyOf": [
        {
          "type": "number",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Backlinks Spam Score"
    },
    "referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Domains"
    },
    "referring_main_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Main Domains"
    },
    "referring_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages"
    },
    "referring_pages_nofollow": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Pages Nofollow"
    },
    "referring_ips": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Ips"
    },
    "referring_subnets": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Subnets"
    },
    "broken_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Backlinks"
    },
    "broken_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Broken Pages"
    },
    "first_seen": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "First Seen"
    },
    "lost_date": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Date"
    },
    "referring_links_tld": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Tld"
    },
    "referring_links_types": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Types"
    },
    "referring_links_attributes": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Attributes"
    },
    "referring_links_countries": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "integer",
            "minimum": 0
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Referring Links Countries"
    },
    "date": {
      "type": "string",
      "title": "Date"
    },
    "new_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "New Backlinks"
    },
    "lost_backlinks": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Backlinks"
    },
    "new_referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "New Referring Domains"
    },
    "lost_referring_domains": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Lost Referring Domains"
    },
    "crawled_pages": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Crawled Pages"
    }
  },
  "type": "object",
  "required": [
    "backlinks",
    "date"
  ],
  "title": "SeoApiBacklinkHistory"
}

SeoApiMention

object

platform string required

Allowed: "google", "chatgpt"

model string required
country string required
language string required
question string required
answer string required
ai_search_volume integer or null
sources array of SeoApiCitation or null
search_results array of SeoApiCitation or null
brand_entities array of SeoApiBrand or null
fan_out_queries array of string or null
first_response_at string or null
last_response_at string or null
Complete schema
{
  "properties": {
    "platform": {
      "type": "string",
      "enum": [
        "google",
        "chatgpt"
      ],
      "title": "Platform"
    },
    "model": {
      "type": "string",
      "title": "Model"
    },
    "country": {
      "type": "string",
      "title": "Country"
    },
    "language": {
      "type": "string",
      "title": "Language"
    },
    "question": {
      "type": "string",
      "title": "Question"
    },
    "answer": {
      "type": "string",
      "title": "Answer"
    },
    "ai_search_volume": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Ai Search Volume"
    },
    "sources": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiCitation"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Sources"
    },
    "search_results": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiCitation"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Results"
    },
    "brand_entities": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiBrand"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brand Entities"
    },
    "fan_out_queries": {
      "anyOf": [
        {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Fan Out Queries"
    },
    "first_response_at": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "First Response At"
    },
    "last_response_at": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Last Response At"
    }
  },
  "type": "object",
  "required": [
    "platform",
    "model",
    "country",
    "language",
    "question",
    "answer"
  ],
  "title": "SeoApiMention"
}

SeoApiCitation

object

url string required
title string or null
domain string or null
description string or null
position integer or null
direct_url string or null
start_index integer or null
end_index integer or null
text string or null
Complete schema
{
  "properties": {
    "url": {
      "type": "string",
      "title": "Url"
    },
    "title": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Title"
    },
    "domain": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Domain"
    },
    "description": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Description"
    },
    "position": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Position"
    },
    "direct_url": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Direct Url"
    },
    "start_index": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Start Index"
    },
    "end_index": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "End Index"
    },
    "text": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Text"
    }
  },
  "type": "object",
  "required": [
    "url"
  ],
  "title": "SeoApiCitation"
}

SeoApiBrand

object

title string required
category string or null
position integer or null
Complete schema
{
  "properties": {
    "title": {
      "type": "string",
      "title": "Title"
    },
    "category": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Category"
    },
    "position": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Position"
    }
  },
  "type": "object",
  "required": [
    "title"
  ],
  "title": "SeoApiBrand"
}

SeoApiMentionMetrics

object

total SeoApiMentionTotal required
countries array of SeoApiMentionBucket or null
languages array of SeoApiMentionBucket or null
platforms array of SeoApiMentionBucket or null
source_domains array of SeoApiMentionBucket or null
search_result_domains array of SeoApiMentionBucket or null
brands array of SeoApiMentionBucket or null
brand_categories array of SeoApiMentionBucket or null
Complete schema
{
  "properties": {
    "total": {
      "$ref": "#/components/schemas/SeoApiMentionTotal"
    },
    "countries": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Countries"
    },
    "languages": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Languages"
    },
    "platforms": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Platforms"
    },
    "source_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Source Domains"
    },
    "search_result_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Result Domains"
    },
    "brands": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brands"
    },
    "brand_categories": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brand Categories"
    }
  },
  "type": "object",
  "required": [
    "total"
  ],
  "title": "SeoApiMentionMetrics"
}

SeoApiMentionTotal

object

mentions integer or null required
ai_search_volume integer or null required
Complete schema
{
  "properties": {
    "mentions": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Mentions"
    },
    "ai_search_volume": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Ai Search Volume"
    }
  },
  "type": "object",
  "required": [
    "mentions",
    "ai_search_volume"
  ],
  "title": "SeoApiMentionTotal"
}

SeoApiMentionBucket

object

mentions integer or null required
ai_search_volume integer or null required
key string required
Complete schema
{
  "properties": {
    "mentions": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Mentions"
    },
    "ai_search_volume": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Ai Search Volume"
    },
    "key": {
      "type": "string",
      "title": "Key"
    }
  },
  "type": "object",
  "required": [
    "mentions",
    "ai_search_volume",
    "key"
  ],
  "title": "SeoApiMentionBucket"
}

SeoApiMentionPage

object

total SeoApiMentionTotal required
countries array of SeoApiMentionBucket or null
languages array of SeoApiMentionBucket or null
platforms array of SeoApiMentionBucket or null
source_domains array of SeoApiMentionBucket or null
search_result_domains array of SeoApiMentionBucket or null
brands array of SeoApiMentionBucket or null
brand_categories array of SeoApiMentionBucket or null
url string required
Complete schema
{
  "properties": {
    "total": {
      "$ref": "#/components/schemas/SeoApiMentionTotal"
    },
    "countries": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Countries"
    },
    "languages": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Languages"
    },
    "platforms": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Platforms"
    },
    "source_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Source Domains"
    },
    "search_result_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Result Domains"
    },
    "brands": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brands"
    },
    "brand_categories": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brand Categories"
    },
    "url": {
      "type": "string",
      "title": "Url"
    }
  },
  "type": "object",
  "required": [
    "total",
    "url"
  ],
  "title": "SeoApiMentionPage"
}

SeoApiMentionComparison

object

total SeoApiMentionTotal required
countries array of SeoApiMentionBucket or null
languages array of SeoApiMentionBucket or null
platforms array of SeoApiMentionBucket or null
source_domains array of SeoApiMentionBucket or null
search_result_domains array of SeoApiMentionBucket or null
brands array of SeoApiMentionBucket or null
brand_categories array of SeoApiMentionBucket or null
key string required
Complete schema
{
  "properties": {
    "total": {
      "$ref": "#/components/schemas/SeoApiMentionTotal"
    },
    "countries": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Countries"
    },
    "languages": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Languages"
    },
    "platforms": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Platforms"
    },
    "source_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Source Domains"
    },
    "search_result_domains": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Result Domains"
    },
    "brands": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brands"
    },
    "brand_categories": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMentionBucket"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Brand Categories"
    },
    "key": {
      "type": "string",
      "title": "Key"
    }
  },
  "type": "object",
  "required": [
    "total",
    "key"
  ],
  "title": "SeoApiMentionComparison"
}

SeoApiLlmResponse

object

output_limit_reached boolean required
platform string required

Allowed: "chatgpt", "claude", "gemini"

model string required
sections array of SeoApiAnswerSection required
usage SeoApiLlmUsage required
web_search boolean required
generated_at string or null
fan_out_queries array of string or null
Complete schema
{
  "properties": {
    "output_limit_reached": {
      "type": "boolean",
      "title": "Output Limit Reached"
    },
    "platform": {
      "type": "string",
      "enum": [
        "chatgpt",
        "claude",
        "gemini"
      ],
      "title": "Platform"
    },
    "model": {
      "type": "string",
      "title": "Model"
    },
    "sections": {
      "items": {
        "$ref": "#/components/schemas/SeoApiAnswerSection"
      },
      "type": "array",
      "title": "Sections"
    },
    "usage": {
      "$ref": "#/components/schemas/SeoApiLlmUsage"
    },
    "web_search": {
      "type": "boolean",
      "title": "Web Search"
    },
    "generated_at": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Generated At"
    },
    "fan_out_queries": {
      "anyOf": [
        {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Fan Out Queries"
    }
  },
  "type": "object",
  "required": [
    "output_limit_reached",
    "platform",
    "model",
    "sections",
    "usage",
    "web_search"
  ],
  "title": "SeoApiLlmResponse"
}

SeoApiAnswerSection

object

text string required
citations array of SeoApiCitation required
Complete schema
{
  "properties": {
    "text": {
      "type": "string",
      "title": "Text"
    },
    "citations": {
      "items": {
        "$ref": "#/components/schemas/SeoApiCitation"
      },
      "type": "array",
      "title": "Citations"
    }
  },
  "type": "object",
  "required": [
    "text",
    "citations"
  ],
  "title": "SeoApiAnswerSection"
}

SeoApiLlmUsage

object

input_tokens integer or null required
output_tokens integer or null required
reasoning_tokens integer or null required
Complete schema
{
  "properties": {
    "input_tokens": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Input Tokens"
    },
    "output_tokens": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Output Tokens"
    },
    "reasoning_tokens": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Reasoning Tokens"
    }
  },
  "type": "object",
  "required": [
    "input_tokens",
    "output_tokens",
    "reasoning_tokens"
  ],
  "title": "SeoApiLlmUsage"
}

SeoApiKeyword

object

keyword string required
search_volume integer or null
cpc number or null
ads_competition_index number or null
ads_competition_level string or null
keyword_difficulty number or null
search_intent string or null
updated_at string or null
monthly_searches array of SeoApiMonthlyVolume or null
Complete schema
{
  "properties": {
    "keyword": {
      "type": "string",
      "title": "Keyword"
    },
    "search_volume": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Volume"
    },
    "cpc": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Cpc"
    },
    "ads_competition_index": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Ads Competition Index"
    },
    "ads_competition_level": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Ads Competition Level"
    },
    "keyword_difficulty": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Keyword Difficulty"
    },
    "search_intent": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Intent"
    },
    "updated_at": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Updated At"
    },
    "monthly_searches": {
      "anyOf": [
        {
          "items": {
            "$ref": "#/components/schemas/SeoApiMonthlyVolume"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "title": "Monthly Searches"
    }
  },
  "type": "object",
  "required": [
    "keyword"
  ],
  "title": "SeoApiKeyword"
}

SeoApiMonthlyVolume

object

year integer required
month integer required
search_volume integer or null
Complete schema
{
  "properties": {
    "year": {
      "type": "integer",
      "title": "Year"
    },
    "month": {
      "type": "integer",
      "maximum": 12,
      "minimum": 1,
      "title": "Month"
    },
    "search_volume": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0
        },
        {
          "type": "null"
        }
      ],
      "title": "Search Volume"
    }
  },
  "type": "object",
  "required": [
    "year",
    "month"
  ],
  "title": "SeoApiMonthlyVolume"
}

SeoApiCompetitor

object

domain string required
average_position number or null
keyword_count integer or null
estimated_traffic number or null
visibility number or null
Complete schema
{
  "properties": {
    "domain": {
      "type": "string",
      "title": "Domain"
    },
    "average_position": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Average Position"
    },
    "keyword_count": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Keyword Count"
    },
    "estimated_traffic": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Estimated Traffic"
    },
    "visibility": {
      "anyOf": [
        {
          "type": "number"
        },
        {
          "type": "null"
        }
      ],
      "title": "Visibility"
    }
  },
  "type": "object",
  "required": [
    "domain"
  ],
  "title": "SeoApiCompetitor"
}

SeoApiSerpItem

object

type string required
rank integer or null
absolute_rank integer or null
url string or null
title string or null
description string or null
Complete schema
{
  "properties": {
    "type": {
      "type": "string",
      "title": "Type"
    },
    "rank": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Rank"
    },
    "absolute_rank": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Absolute Rank"
    },
    "url": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Url"
    },
    "title": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Title"
    },
    "description": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Description"
    }
  },
  "type": "object",
  "required": [
    "type"
  ],
  "title": "SeoApiSerpItem"
}

SeoApiSource

object

provider string required
dataset string required
method string required

Allowed: "live", "database", "ads_dataset", "backlink_index", "mentions_database", "llm"

engine string or null required
country string or null required
language string or null required
observed_at string required
data_timestamp string or null
Complete schema
{
  "properties": {
    "provider": {
      "type": "string",
      "title": "Provider"
    },
    "dataset": {
      "type": "string",
      "title": "Dataset"
    },
    "method": {
      "type": "string",
      "enum": [
        "live",
        "database",
        "ads_dataset",
        "backlink_index",
        "mentions_database",
        "llm"
      ],
      "title": "Method"
    },
    "engine": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Engine"
    },
    "country": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Country"
    },
    "language": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Language"
    },
    "observed_at": {
      "type": "string",
      "title": "Observed At"
    },
    "data_timestamp": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "title": "Data Timestamp"
    }
  },
  "type": "object",
  "required": [
    "provider",
    "dataset",
    "method",
    "engine",
    "country",
    "language",
    "observed_at"
  ],
  "title": "SeoApiSource"
}

SeoApiCoverage

object

incomplete_reasons array of string
returned_count integer required
available_count integer or null required
truncated boolean required
missing_keywords array of string required
Complete schema
{
  "properties": {
    "incomplete_reasons": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Incomplete Reasons"
    },
    "returned_count": {
      "type": "integer",
      "title": "Returned Count"
    },
    "available_count": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Available Count"
    },
    "truncated": {
      "type": "boolean",
      "title": "Truncated"
    },
    "missing_keywords": {
      "items": {
        "type": "string"
      },
      "type": "array",
      "title": "Missing Keywords"
    }
  },
  "type": "object",
  "required": [
    "returned_count",
    "available_count",
    "truncated",
    "missing_keywords"
  ],
  "title": "SeoApiCoverage"
}

SeoApiBilling

object

status string required
credits integer required
price_book_version string required
Complete schema
{
  "properties": {
    "status": {
      "type": "string",
      "title": "Status"
    },
    "credits": {
      "type": "integer",
      "title": "Credits"
    },
    "price_book_version": {
      "type": "string",
      "title": "Price Book Version"
    }
  },
  "type": "object",
  "required": [
    "status",
    "credits",
    "price_book_version"
  ],
  "title": "SeoApiBilling"
}

PublicErrorResponse

object

error PublicError required
Complete schema
{
  "type": "object",
  "additionalProperties": false,
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "$ref": "#/components/schemas/PublicError"
    }
  }
}

PublicError

object

code string required

Allowed: "seoapi_price_pending", "seoapi_unavailable", "seoapi_busy", "seoapi_not_found", "seoapi_rate_limited", "seoapi_budget_exceeded", "seoapi_idempotency_conflict", "seoapi_insufficient_credits", "seoapi_admission_failed", "seoapi_execution_interrupted", "seoapi_delivery_unknown", "seoapi_response_invalid", "seoapi_model_unsupported", "seoapi_model_options_invalid", "seoapi_provider_rejected", "seo_price_pending", "seo_provider_blocked", "seo_local_rate_limited", "seo_fallback_unavailable", "seo_fallback_budget_exceeded", "seo_pagination_expired", "seo_delivery_uncertain", "seo_auth_required", "seo_initialization_required", "seo_permission_denied", "seo_verification_required", "seo_rate_limited", "seo_upstream_unavailable", "seo_transport_failed", "seo_invalid_response", "seo_rpc_error", "seo_period_unavailable", "seo_account_unavailable", "seo_session_busy", "seo_configuration_required", "validation_error", "invalid_request", "unsupported_feature", "authentication_required", "permission_denied", "not_found", "run_not_found", "crawl_not_found", "artifact_not_found", "session_not_found", "profile_not_found", "profile_in_use", "profile_not_ready", "profile_not_cloneable", "profile_limit_reached", "profile_proxy_conflict", "proxy_not_found", "proxy_unavailable", "invalid_session_options", "invalid_query_options", "invalid_cursor", "idempotency_key_required", "browser_session_limit_reached", "browser_capacity_exhausted", "browser_start_timeout", "browser_runtime_unavailable", "session_not_active", "controller_already_connected", "browser_relay_unavailable", "precondition_required", "precondition_failed", "timeout", "run_not_ready", "artifact_expired", "quota_exceeded", "insufficient_credits", "billing_reconciliation_required", "rate_limited", "fetch_failed", "render_failed", "maps_rate_limited", "maps_challenge", "maps_schema_changed", "maps_invalid_response", "maps_transport_failed", "maps_page_budget_exhausted", "google_trends_rate_limited", "google_trends_challenge", "google_trends_explore_failed", "google_trends_widget_missing", "google_trends_related_failed", "google_trends_invalid_response", "google_trends_transport_failed", "google_trends_collection_failed", "google_ads_account_context_missing", "google_ads_batch_failed", "google_ads_browser_context_missing", "google_ads_browser_unavailable", "google_ads_collection_failed", "google_ads_page_failed", "google_ads_protocol_drift", "google_ads_rate_limited", "google_ads_timeout", "twitter_provider_unavailable", "twitter_provider_rejected", "twitter_submission_unknown", "wechat_transport_failed", "wechat_rate_limited", "wechat_invalid_response", "wechat_redirect_rejected", "wechat_verification_required", "wechat_parse_failed", "blackhatworld_search_failed", "blackhatworld_no_results", "reddit_read_failed", "idempotency_conflict", "idempotency_in_progress", "service_unavailable", "internal_error"

message string required
type string required

Allowed: "auth", "validation", "quota", "rate_limit", "not_found", "execution", "conflict", "internal"

retryable boolean required
request_id string | null
details object
Complete schema
{
  "type": "object",
  "additionalProperties": false,
  "required": [
    "code",
    "message",
    "type",
    "retryable"
  ],
  "properties": {
    "code": {
      "type": "string",
      "enum": [
        "seoapi_price_pending",
        "seoapi_unavailable",
        "seoapi_busy",
        "seoapi_not_found",
        "seoapi_rate_limited",
        "seoapi_budget_exceeded",
        "seoapi_idempotency_conflict",
        "seoapi_insufficient_credits",
        "seoapi_admission_failed",
        "seoapi_execution_interrupted",
        "seoapi_delivery_unknown",
        "seoapi_response_invalid",
        "seoapi_model_unsupported",
        "seoapi_model_options_invalid",
        "seoapi_provider_rejected",
        "seo_price_pending",
        "seo_provider_blocked",
        "seo_local_rate_limited",
        "seo_fallback_unavailable",
        "seo_fallback_budget_exceeded",
        "seo_pagination_expired",
        "seo_delivery_uncertain",
        "seo_auth_required",
        "seo_initialization_required",
        "seo_permission_denied",
        "seo_verification_required",
        "seo_rate_limited",
        "seo_upstream_unavailable",
        "seo_transport_failed",
        "seo_invalid_response",
        "seo_rpc_error",
        "seo_period_unavailable",
        "seo_account_unavailable",
        "seo_session_busy",
        "seo_configuration_required",
        "validation_error",
        "invalid_request",
        "unsupported_feature",
        "authentication_required",
        "permission_denied",
        "not_found",
        "run_not_found",
        "crawl_not_found",
        "artifact_not_found",
        "session_not_found",
        "profile_not_found",
        "profile_in_use",
        "profile_not_ready",
        "profile_not_cloneable",
        "profile_limit_reached",
        "profile_proxy_conflict",
        "proxy_not_found",
        "proxy_unavailable",
        "invalid_session_options",
        "invalid_query_options",
        "invalid_cursor",
        "idempotency_key_required",
        "browser_session_limit_reached",
        "browser_capacity_exhausted",
        "browser_start_timeout",
        "browser_runtime_unavailable",
        "session_not_active",
        "controller_already_connected",
        "browser_relay_unavailable",
        "precondition_required",
        "precondition_failed",
        "timeout",
        "run_not_ready",
        "artifact_expired",
        "quota_exceeded",
        "insufficient_credits",
        "billing_reconciliation_required",
        "rate_limited",
        "fetch_failed",
        "render_failed",
        "maps_rate_limited",
        "maps_challenge",
        "maps_schema_changed",
        "maps_invalid_response",
        "maps_transport_failed",
        "maps_page_budget_exhausted",
        "google_trends_rate_limited",
        "google_trends_challenge",
        "google_trends_explore_failed",
        "google_trends_widget_missing",
        "google_trends_related_failed",
        "google_trends_invalid_response",
        "google_trends_transport_failed",
        "google_trends_collection_failed",
        "google_ads_account_context_missing",
        "google_ads_batch_failed",
        "google_ads_browser_context_missing",
        "google_ads_browser_unavailable",
        "google_ads_collection_failed",
        "google_ads_page_failed",
        "google_ads_protocol_drift",
        "google_ads_rate_limited",
        "google_ads_timeout",
        "twitter_provider_unavailable",
        "twitter_provider_rejected",
        "twitter_submission_unknown",
        "wechat_transport_failed",
        "wechat_rate_limited",
        "wechat_invalid_response",
        "wechat_redirect_rejected",
        "wechat_verification_required",
        "wechat_parse_failed",
        "blackhatworld_search_failed",
        "blackhatworld_no_results",
        "reddit_read_failed",
        "idempotency_conflict",
        "idempotency_in_progress",
        "service_unavailable",
        "internal_error"
      ]
    },
    "message": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "auth",
        "validation",
        "quota",
        "rate_limit",
        "not_found",
        "execution",
        "conflict",
        "internal"
      ]
    },
    "retryable": {
      "type": "boolean"
    },
    "request_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "details": {
      "type": "object",
      "additionalProperties": true
    }
  }
}